SolidWorks宏如何使用?

SolidWorks宏效果:

文章末尾下載模型

方法:

1.點擊“旋轉凸臺/基體”,在前視基準面繪制如下圖所示的草繪。

2.不退出草圖,點擊【工具】-【宏】-【錄制】,如下圖所示。

此時彈出如下圖所示的宏命令窗口。

3.標注圓弧的半徑,注意標注的名稱:D1@草圖1,我們會在后面的程序里用到。

4.暫停宏的錄制。

5.再次點擊“旋轉凸臺/基體”,在前視基準面繪制如下圖所示的草繪。

6.點擊宏窗口中的“錄制/暫停宏”,重新開始宏的錄制。

7.標注圓弧的半徑,注意標注的名稱:D2@草圖2,我們會在后面的程序里用到。

8.停止宏的錄制,保存宏文件。

9.完成。

10.點擊“拉伸凸臺/基體”,在右視基準面繪制直徑為5的圓,拉伸深度250mm。

11.點擊【工具】-【宏】-【編輯】,對第8步創建的宏文件進行編輯。

' ******************************************************************************

' 機械時代網

' ******************************************************************************

Dim swApp As Object

Dim Part As Object

Dim boolstatus As Boolean

Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _Application.SldWorks

Set Part = swApp.ActiveDoc

Dim myModelView As Object

Set myModelView = Part.ActiveView

myModelView.FrameState = swWindowState_e.swWindowMaximized

boolstatus = Part.Extension.SelectByID2("Arc1", "SKETCHSEGMENT", -3.34257815068415E-02, 3.85000625199539E-02, 0, False, 0, Nothing, 0)

Dim myDisplayDim As Object

Set myDisplayDim = Part.AddDimension2(-7.66050911352832E-02, 5.93818597992822E-02, 0)

Part.ClearSelection2 True

Dim myDimension As Object

'設置草圖1中的尺寸D1命名為myDimension1

Set myDimension1 = Part.Parameter("D1@草圖1")

myDimension1.SystemValue = 0.05

boolstatus = Part.Extension.SelectByID2("Arc1", "SKETCHSEGMENT", 0.218813672939049, 2.90099272265772E-02, 0, False, 0, Nothing, 0)

Set myDisplayDim = Part.AddDimension2(0.148814034900672, 8.75673167394499E-02, 0)

Part.ClearSelection2 True

'設置草圖2中的尺寸D2命名為myDimension2

Set myDimension2 = Part.Parameter("D2@草圖2")

myDimension2.SystemValue = 0.05

'對尺寸D1和D2進行操作

For i = 0 To 24

myDimension1.SystemValue = myDimension1.SystemValue + 0.002

myDimension2.SystemValue = myDimension2.SystemValue - 0.002

boolstatus = Part.EditRebuild3()

t = Timer

While Timer < t + 0.1

DoEvents

Wend

Next

'對尺寸D1和D2進行操作

For i = 0 To 24

myDimension1.SystemValue = myDimension1.SystemValue - 0.002

myDimension2.SystemValue = myDimension2.SystemValue + 0.002

boolstatus = Part.EditRebuild3()

t = Timer

While Timer < t + 0.1

DoEvents

Wend

Next

End Sub

12.運行宏文件。

模型下載:

此處為隱藏的內容!
登錄后方可查看!
  • Proe知識
  • 掃二維碼關注微信公眾號
  • weinxin
  • SolidWorks技巧
  • 掃二維碼關注微信公眾號
  • weinxin
SW建模最后更新:2020年6月25日
  • 本文由 發表于 2020年5月20日22:50:41
  • 除非特殊聲明,本站文章均為原創,轉載請務必保留本文鏈接
SOLIDWORKS如何縮放裝配體? SW建模

SOLIDWORKS如何縮放裝配體?

縮放比例特征(通過點擊“插入”-“特征”-“縮放比例”)可用于更改單個零件中所有特征的比例,那我們如何縮放 SOLIDWORKS 裝配體? ...

您必須才能發表評論!